<script>
	import Container from "@/components/container.svelte"

	import { isLight } from "@/stores/static"
	import { t } from "@/i18n"
</script>

<template lang="pug">
.choice: Container
	.title: h2 {$t("homepage.choice.title")}
	.columns.is-flex.is-multiline
		+each('new Array(4) as _, i')
			.column.is-3-desktop.is-6-tablet.is-12-mobile
				.content.is-flex.is-align-items-flex-end
					p( class:dark='{!$isLight}' ) {@html $t(`homepage.choice.text.${i}`)}
</template>

<style lang="scss">
	.choice {
		:global(.container) {
			position: relative;
			&::before {
				display: block;
				content: "";
				width: 100%;
				height: 1px;
				background: $black;
				position: absolute;
				left: 0;
				top: calc(100% + 3rem - 1px);
			}
		}
	}

	.title {
		max-width: 569px;
		margin-bottom: 2.5rem;
	}

	.content {
		height: 100%;
		p {
			font-size: 1.125rem;
			font-weight: 300;
			color: $gray-text;
			transition: color .2s ease-in-out;
			&.dark {
				color: #D8D8D8;
			}
		}
	}

	.column:nth-of-type(3) {
		.content p {
			text-transform: uppercase;
			font-weight: 500;
			color: $black;
			&.dark {
				color: $white;
			}
		}
	}
</style>